#
# spec file for package dhcdbd (Version 1.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dhcdbd
BuildRequires:  dbus-1-devel
Summary:        DHCP D-BUS Daemon
Version:        1.12
Release:        19.6
License:        GPL
Group:          Productivity/Networking/Boot/Utilities
URL:            http://people.redhat.com/~jvdias/dhcdbd
Source0:        %{name}-%{version}.tar.gz
Patch0:         dhcdbd-lease-dir-rml-1.10-1.patch
Patch1:         dhcdbd-remove-named-user-rml.patch
Patch2:         dhcdbd-no-nr_open-rml.patch
Patch3:         dhcdbd-dbus-reconnect-thoenig-02.patch
Patch4:         dhcdbd-less-verbose-logging-rml.patch
Patch5:         dhcdbd-set-hostname.patch
Patch6:         dhcdbd-set-hostname-fix.patch
Patch7:         dhcdbd-1.14-bug-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dhcp-client >= 3.0.3 dbus-1 >= 0.60

%description
DHCP D-BUS daemon (dhcdbd) controls dhclient sessions with D-BUS and
stores and presents DHCP options.



Authors:
--------
    Jason Vas Dias

%debug_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
make CFLAGS="-Wall $RPM_OPT_FLAGS" CC='gcc' LIBDIR=%_lib

%install
DESTDIR=$RPM_BUILD_ROOT make install DESTDIR=$RPM_BUILD_ROOT
# dbus lib is in /usr, so move
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/dhcdbd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/lib/named
rm $RPM_BUILD_ROOT/usr/share/dbus-1/services/dhcdbd.service

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE dhcp_options.h dhcdbd.h dbus_service.h
%attr(0644,root,root) %{_sysconfdir}/dbus-1/system.d/dhcdbd.conf
%attr(755,root,root) /usr/sbin/dhcdbd
%dir /var/lib/named

%changelog -n dhcdbd
* Thu Jun 15 2006 - rml@suse.de
- Handle non-empty /etc/HOSTNAME files that only contain newlines
  (Novell bug #179492)
* Tue May 30 2006 - rml@suse.de
- Send only the most significant hostname, not the entire FQDN,
  from /etc/HOSTNAME when DHCLIENT_HOSTNAME_OPTION is enabled
  (Novell bug #179903)
* Tue May 09 2006 - rml@suse.de
- Fix 64-bit build (use pkg-config like we should)
* Thu May 04 2006 - rml@suse.de
- Ask dhclient to set the hostname as required by the sysconfig
  option DHCLIENT_HOSTNAME_OPTION (Novell major bug #139532)
- Fix possible memory corruption
* Tue Mar 28 2006 - rml@suse.de
- Log debugging spew less readily (Novell bug #161138)
* Tue Mar 21 2006 - rml@suse.de
- Survive DBUS restarts (Novell bug #150042)
* Fri Feb 24 2006 - rml@suse.de
- Add dhcdbd-no-nr_open-rml.patch to replace NR_OPEN with a call
  to getdtablesize() to fix build on beta and remove use of
  NR_OPEN.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - rml@suse.de
- 1.12 (bug fixes only)
* Wed Jan 11 2006 - rml@suse.de
- Remove named user from dhcdbd.conf
* Fri Jan 06 2006 - rml@suse.de
- Use correct lease directory (fix bug #139606)
* Wed Jan 04 2006 - rml@suse.de
- proper permissions on /etc/dbus-1/system.d/dhcdbd.conf
* Mon Dec 19 2005 - rml@suse.de
- Update to 1.11 (fixes build against DBUS 0.60)
* Mon Dec 12 2005 - rml@suse.de
- Remove dhcdbd service file and do not create named user or
  group (#136872)
* Fri Dec 09 2005 - ro@suse.de
- create named user and group (since referenced in config)
  fixing (#136872)
* Thu Nov 17 2005 - rml@suse.de
- Upgrade to 1.10 (includes our two patches).
* Mon Oct 31 2005 - rml@suse.de
- Add patch dhcdbd-quiet-dhclient.patch to pass "-q" option to
  dhclient in order to minimize noise.
- Add patch dhcdbd-use-daemon.patch to use daemon(3) instead of
  hand-coded daemonizing code.  Also ensures that stdout and stderr
  are redirected to /dev/null, not /dev/console.
* Thu Oct 20 2005 - rml@suse.de
- Update to dhcdbd 1.9
* Fri Aug 12 2005 - ro@suse.de
- changed requires (#104373)
* Thu Jun 30 2005 - gekker@suse.de
- Remove init script for rml, no longer needed
* Tue Jun 28 2005 - gekker@suse.de
- Change requires for rml
* Fri Jun 24 2005 - ro@suse.de
- created package taken from FC
- first steps to adapt init script
